<!--
 - Created by MarosGrajcar on 3/4/2020.
 -->

<!-- Elg Amu Lookup -->
<template>
    <!--	search input-->
    <c-elg_amu_lookup-input
            if:true={inputMode}
            label={label}
            placeholder={placeholder}
            is-required={isRequired}
            selected-record={selectedRecord}
            object-a-p-i-name={objectAPIName}
            field-a-p-i-name={fieldAPIName}
            onselection={handleRecordSelection}>
    </c-elg_amu_lookup-input>

    <!--	disabled || readonly mode-->
    <lightning-input
            if:true={readOnlyMode}
            name={label}
            label={label}
            type="search"
            value={selectedText}
            required={isRequired}
            readonly={isReadOnly}
            disabled={isDisabled}>
    </lightning-input>

    <!--	selected mode-->
    <c-elg_amu_lookup-pill
            if:true={selectedMode}
            amu-ids={amuIds}
            is-required={isRequired}
            label={label}
            selected-text={selectedText}
            onclearselection={resetComponent}
            render-icon={renderIcon}
            icon-name={iconName}>
    </c-elg_amu_lookup-pill>

</template>